{% extends 'Default/index.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/css/dataTables.bootstrap4.min.css" integrity="sha512-PT0RvABaDhDQugEbpNMwgYBCnGCiTZMh9yOzUsJHDgl/dMhD9yjHAwoumnUk3JydV3QTcIkNDuN40CJxik5+WQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js" integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/dataTables.bootstrap4.min.js" integrity="sha512-OQlawZneA7zzfI6B1n1tjUuo3C5mtYuAWpQdg+iI9mkDoo7iFzTqnQHf+K5ThOWNJ9AbXL4+ZDwH7ykySPQc+A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

  <script>
    const lang = document.documentElement.lang.toString();
    //Default
    let url_language = '/bundles/app/js/libs/datatables/it-IT.json';
    if(lang === 'en'){
      url_language = '/bundles/app/js/libs/datatables/en-GB.json';
    }else if(lang === 'de'){
      url_language = '/bundles/app/js/libs/datatables/de-DE.json';
    }
    // Datatable
    $('#payments-table').DataTable({
      "order": [[6, "desc"]],
      columnDefs: [
        {orderable: false, targets: 8}
      ],
      language: {
        url: url_language
      },
      stateSave: true,
      dom: "<'row'<'col-6 pt-2'l><'col-6'f>>" +
        "<'row'<'col-12'tr>>" +
        "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 mt-2'p>>"
    });

  </script>
{% endblock %}

{% block main_content %}
  <section id="intro" class="container-full px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'backoffice.integration.subscription_service.subscription_service_payments'|trans }}</h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2">
        <table id="payments-table" class="table table-striped table-condensed table-sm">
          <thead>
          <tr>
            <th>{{ 'backoffice.integration.subscription_service.payment.reason'|trans }}</th>
            <th>{{ 'backoffice.integration.subscription_service.payment.identifier'|trans }}</th>
            <th>{{ 'backoffice.integration.subscription_service.payment.type'|trans }}</th>
            <th>{{ 'backoffice.integration.subscription_service.subscription_service'|trans }}</th>
            <th>{{ 'iscrizioni.subscribers.completename'|trans }}</th>
            <th>{{ 'iscrizioni.subscribers.fiscal_code'|trans }}</th>
            <th>{{ 'backoffice.integration.subscription_service.payment.execution_date'|trans }}</th>
            <th>{{ 'backoffice.integration.subscription_service.payment.amount'|trans }}</th>
            <th aria-label="{{ 'no_value' | trans() }}" ></th>
          </tr>
          </thead>
          <tbody>
          {% for item in items %}
            <tr>
              <td>
                <a
                  href="{{ path('operatori_subscriber_show', { 'subscriber': item.subscription.subscriber.id, 'tab': 'subscriptions', 'show_subscription': item.subscription.id}) }}">
                  <span data-toggle="tooltip" title="{{ item.description }}">{{ item.description }}</span>
                </a>
              </td>
              <td>{{ item.name }}</td>
              <td>{% if identifiers[item.subscription.subscriptionService.code][item.name] is defined %} {{ ('backoffice.integration.subscription_service.payment.text_' ~ identifiers[item.subscription.subscriptionService.code][item.name]) | trans }} {% endif %}</td>
              <td>{{ item.subscription.subscriptionService.name }}</td>
              <td>{{ item.subscription.subscriber.name }} {{ item.subscription.subscriber.surname }}</td>
              <td>{{ item.subscription.subscriber.fiscalCode }}</td>
              <td>{% if item.paymentDate %}{{ item.paymentDate | format_date( locale=app.request.locale) }}{% endif %}</td>
              <td>{{ item.amount }} €</td>
              <td class="text-right">
                {{ include('SubscriptionServices/table/_paymentActions.html.twig', {'payment': item}) }}
              </td>
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </section>
{% endblock %}
